<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://wpuzman.com.tr
 * @since             1.0.0
 * @package           Edd_Paytr
 *
 * @wordpress-plugin
 * Plugin Name:       EDD Paytr
 * Plugin URI:        https://wpuzman.com.tr/
 * Description:       Easy Digital Downloads eklentisi için Paytr ödeme yöntemi.
 * Version:           1.0.1
 * Author:            wpuzman
 * Author URI:        https://wpuzman.com.tr/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       edd-paytr
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'EDD_PAYTR_VERSION', '1.0.1' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-edd-paytr-activator.php
 */
function activate_edd_paytr() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-edd-paytr-activator.php';
	Edd_Paytr_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-edd-paytr-deactivator.php
 */
function deactivate_edd_paytr() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-edd-paytr-deactivator.php';
	Edd_Paytr_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_edd_paytr' );
register_deactivation_hook( __FILE__, 'deactivate_edd_paytr' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-edd-paytr.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_edd_paytr() {

	$plugin = new Edd_Paytr();
	$plugin->run();

}
run_edd_paytr();
